# Batch query which products are using these ChoiceGroups

1. Query ChoiceGroup's applied products.

**Rate limit:** 10 QPS by appId dimension.

Endpoint: POST /product/choicegroup/listappliedspu
Version: v.1.0.0

## Request fields (application/json):

  - `shopId` (integer, required)
    store id in KeeTa
    Example: 25381

  - `choiceGroupIdList` (array, required)
    ChoiceGroup id list
    Example: [3123,4343]

## Response 200 fields (application/json):

  - `code` (integer, required)
    A numeric status identifier indicating the result of the interface call, used to determine whether the operation executed successfully.
    Example: 0

  - `message` (string, required)
    Text description corresponding to the status code, explaining the operation result or error cause to users.
    Example: Success

  - `data` (array)
    Successful ChoiceGroupAppliedSpu data model

  - `data.choiceGroupId` (integer)
    Unique Choicegroup ID generated by Keeta.

  - `data.list` (array)
    A list of SPUs (Standard Product Units) that currently utilize this choice group in their configurations.

  - `data.list.id` (integer)
    Unique identifier for the SPU, generated by Keeta system.

  - `data.list.name` (string)
    Display name of the SPU.

  - `data.list.status` (integer)
    Sales availability status of the SPU:

  - `errorList` (array)
    Failed choiceGroup informations, mostly the wrong ChoiceGroup.id

  - `errorList.id` (integer)
    Unique identifier for the Choicegroup (Standard Product Unit), generated by Keeta's system
    Example: 45676543

  - `errorList.name` (string)
    Display name of the Choicegroup

  - `errorList.openItemCode` (string)
    Developer-provided external identifier that maintains a one-to-one mapping with Keeta's internal Choicegroup ID. Refer to the "Menu Development Guide" for implementation details.
    Example: SET-11001000005-3

  - `errorList.code` (integer)
    A numeric status identifier indicating the result of the interface call, used to determine whether the operation executed successfully. **A code value of 0** indicates that **the request was executed successfully**. **Any non-zero code value** indicates that **request execution failed**. **Specific error details** can be viewed in the *message* field.
    Example: 107000104

  - `errorList.message` (string)
    Text description corresponding to the status code, explaining the operation result or error cause to users.
    Example: Data does not exist

